Subject: Re: [PATCH v4 11/15] replay: use standard revision ranges

From: Linus Arver <[email-masked]>
Date: Sat, 09 Sep 2023 20:20:38 -0700

Linus Arver <[email-masked]> writes:

>> +update refs/heads/branch1 ${NEW_branch1_HASH} ${OLD_branch1_HASH}
>> +update refs/heads/branch2 ${NEW_branch2_HASH} ${OLD_branch2_HASH}
>> +update refs/heads/branch3 ${NEW_branch3_HASH} ${OLD_branch3_HASH}
>> +------------
>> +
>> +This will simultaneously rebase branch1, branch2, and branch3 -- all
>> +commits they have since base, playing them on top of origin/main.
>
> How about
>
>     This will rebase the commits in `branch1`, `branch2`, and `branch3`
>     (excluding those in `base`), preplaying them on top of `origin/main`.

Oops, I meant "replaying" not "preplaying". But also, perhaps the
following is simpler?

    This will replay the commits in `branch1`, `branch2`, and `branch3`
    (excluding those in `base`), on top of `origin/main`.